> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Veo-3.1-Fast-Generate-Preview - Query Task

> Veo-3.1-Fast-Generate-Preview — Query Task. GPTProto API reference.

Gemini's veo 3.1 fast generate preview for the query task API.

<CodeGroup>
  ```bash cURL theme={null}
  curl --location 'https://api.gptproto.com/v1beta/models/veo-3.1-generate-preview/operations/{operation_id}' \
    --header 'x-goog-api-key: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.gptproto.com/v1beta/models/veo-3.1-generate-preview/operations/{operation_id}"
  headers = {
      "x-goog-api-key": "YOUR_API_KEY"
  }

  response = requests.get(url, headers=headers)
  result = response.json()
  print(result)
  ```

  ```javascript JavaScript theme={null}
  const url = "https://api.gptproto.com/v1beta/models/veo-3.1-generate-preview/operations/{operation_id}";
  const headers = {
    "x-goog-api-key": "YOUR_API_KEY"
  };

  fetch(url, {
    method: "GET",
    headers: headers
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://api.gptproto.com/v1beta/models/veo-3.1-generate-preview/operations/{operation_id}"

      req, _ := http.NewRequest("GET", url, nil)
      req.Header.Set("x-goog-api-key", "YOUR_API_KEY")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 404 - Operation not found theme={null}
  {
    "error": {
      "message": "Operation not found",
      "type": "404"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```
</CodeGroup>

## Parameters
